IntegrationsNotion

Get a page and flattened properties; use blocks.list for content

POST
/integrations/connections/{connection_id}/providers/notion/pages/get

Get a page and flattened properties; use blocks.list for content. Notion may limit property references to 25.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/notion/pages/get" \  -H "Content-Type: application/json" \  -d '{    "page_id": "examplexxxxxxxxxxxxxxxxxxxxxxxxx"  }'
{  "page_id": "example",  "title": "Approve supplier payment",  "url": "https://api.adlass.io/v1/workflows/hooks/example",  "public_url": "example",  "icon": "example",  "parent": {    "type": "run.completed",    "id": "example"  },  "created_time": "example",  "last_edited_time": "example",  "in_trash": false,  "is_locked": false,  "properties": {}}